## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Testing dependencies not satisfied on epel
# build, cattrs, hatch-fancy-pypi-readme, pytest-subprocess
%if 0%{?el10}
%bcond_with tests
%else
%bcond_without tests
%endif

%global debug_package %{nil}

Name:           python-scikit-build-core
Version:        0.10.7
Release:        %autorelease
Summary:        Build backend for CMake based projects

License:        Apache-2.0
URL:            https://github.com/scikit-build/scikit-build-core
Source:         %{pypi_source scikit_build_core}

BuildRequires:  python3-devel
# Testing dependences
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

%global _description %{expand:
A next generation Python CMake adapter and Python API for plugins
}

%description %_description

%package -n python3-scikit-build-core
Summary:        %{summary}
Requires:       cmake
Recommends:     (ninja-build or make)
Recommends:     python3-scikit-build-core+pyproject = %{version}-%{release}
Suggests:       ninja-build
Suggests:       gcc
BuildArch:      noarch
%description -n python3-scikit-build-core %_description


# Add %%pyproject_extras_subpkg results manually because BuildArch: noarch is not injected
# https://src.fedoraproject.org/rpms/python-rpm-macros/pull-request/174
# %%pyproject_extras_subpkg -n python3-scikit-build-core pyproject

%package -n python3-scikit-build-core+pyproject
Summary: Metapackage for python3-scikit-build-core: pyproject extras
Requires: python3-scikit-build-core = %{?epoch:%{epoch}:}%{version}-%{release}
BuildArch:      noarch
# Deprecated empty extras package
# Note: Cannot use Obsoletes + Provides here. python3dist() does not seem to be picked up
Provides:  deprecated()
%description -n python3-scikit-build-core+pyproject
This is a metapackage bringing in pyproject extras requires for
python3-scikit-build-core.
It makes sure the dependencies are installed.

%files -n python3-scikit-build-core+pyproject -f %{_pyproject_ghost_distinfo}


%prep
%autosetup -n scikit_build_core-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test,test-meta,test-numpy}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files scikit_build_core


%check
%pyproject_check_import
%if %{with tests}
%pytest \
    -m "not network"
%endif


%files -n python3-scikit-build-core -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 30 2024 Packit <hello@packit.dev> - 0.10.7-1
- Update to 0.10.7 upstream release

* Wed Sep 11 2024 Packit <hello@packit.dev> - 0.10.6-1
- Update to 0.10.6 upstream release

* Wed Aug 07 2024 Packit <hello@packit.dev> - 0.10.1-1
- Update to 0.10.1 upstream release

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Cristian Le <cristian.le@mpsd.mpg.de> - 0.9.4-3
- Relax pip requirement until rawhide catches up

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 0.9.4-2
- Rebuilt for Python 3.13

* Tue May 14 2024 Packit <hello@packit.dev> - 0.9.4-1
- Update to 0.9.4 upstream release

* Fri Apr 19 2024 Packit <hello@packit.dev> - 0.9.0-1
- Update to 0.9.0 upstream release

* Thu Mar 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-2
- Produce a metapackage for the pyproject extra

* Thu Feb 29 2024 Packit <hello@packit.dev> - 0.8.2-1
- [packit] 0.8.2 upstream release

* Tue Jan 23 2024 Packit <hello@packit.dev> - 0.8.0-1
- [packit] 0.8.0 upstream release

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Packit <hello@packit.dev> - 0.6.1-1
- [packit] 0.6.1 upstream release

* Thu Sep 21 2023 Packit <hello@packit.dev> - 0.5.1-1
- [packit] 0.5.1 upstream release

* Tue Aug 22 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.5.0-1
- [packit] 0.5.0 upstream release

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 05 2023 Packit <hello@packit.dev> - 0.4.4-1
- 0.4.4 upstream release

* Thu Apr 13 2023 Packit <hello@packit.dev> - 0.3.0-1
- [packit] 0.3.0 upstream release

* Fri Mar 24 2023 Miro Hrončok <miro@hroncok.cz> - 0.2.2-2
- Move the Requires, Recommends and Suggests to python3-scikit-build-core

* Mon Mar 20 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.2.2-1
- Initial import (#2179414).


## END: Generated by rpmautospec
